- Sample configuration file by Jason Hood.
- This is my actual config file, with added comments.

- I start CMDEDIT from my autoexec.bat with:

- d:\utils\cmdedit.com -qcikp" " /h821 /s880 /m253 /ah128 d:\utils\cmdedit.cfg

- where cmdedit.com is actually cmdeditp.com. The history is so big because
- it fills up the first UMB region; the symbols and macros are just 20 and 30
- bytes more than the minimum, for those rare circumstances when I define some
- on the command line.

- A brief description of the programs used:
- mt:		my own directory changer (Move To), which maintains its own
-		 history list and stack; the cause of the NODIRS option
- d:		ndir (NewDir), a freeware colour directory lister
- xrd:		souped-up freeware version of rd
- delen:	souped-up freeware version of del
- clear:	sets blue frame and bright yellow text on blue background
- rs:		runs a program, restoring screen contents on exit (my own)
- info: 	GNU Info - hypertext help system
- tm:		Text Mode, a program I wrote to manipulate the text screen
- interhlp:	viewer for Ralf Brown's Interrupt List
- mixerset:	Creative's Sound Blaster volume control
- display:	freeware picture viewer (and more)
- hiew: 	Hacker's View hex editor
- zapit:	hex and disk editor
- map:		"my" freeware alternative to mem
- gaze: 	graphical menu
- ss:		a little proggy I wrote to randomly select a "screen-saver"
- sherlock:	game of logic
- tde:		public domain text editor, with syntax highlighting
- tdv:		as above, but starts in viewer (read-only) mode
- view: 	either types a file or passes it to less, depending on # lines.
- less: 	GNU fileviewer ("why have more when you can have less?")
- unzip:	Info-ZIP's free, multi-OS, PKUNZIP compatible program

- Symbols require 860 bytes
- Macros  require 223 bytes

- mt uses semi-colons to select previous directories (";" equals "BACK").
defs ;		;\
defs ;; 	;;\
- dd = sort by reverse date using 2 columns, all files, no directories.
defs dd 	d/rt2af
defs df 	dir/s/b
- dt = remove a directory and all files and subdirectories in it, no prompting.
- Named dt because it used to be an alias for DELTREE.
defs dt 	xrd/fasay
defs del	delen/t
defs cls	clear
defs i		rs info
defs c		i libc a
defs bb 	tm b1
defs il 	d:\intlist\interhlp
defs mixer	e:\progra~1\creative\ctsnd\mixerset
defs display	d:\graphics\display\display
defs hiew	d:\utils\hiew\hiew
defs z		rs zapit

- Function keys
defs f1 	map@
defs sf1	d:\gaze\gaze@
defs f2 	bb f14@
defs sf2	bb f16@
- amstrad.f08 is the font from the CPC464, my first computer.
defs f3 	bb fd:\graphics\amstrad.f08@
defs f4 	tm 80x28s@
defs sf4	mode co80@
defs f5 	ss@
defs sf5	ss -s@
- Even though these execute immediately, they don't wipe the current line, so
- you can type "|more", then home and the function key.
defs f7 	cmdedit/h@
defs f8 	cmdedit/sm@
defs f9 	sherlock@
defs f0 	exit@


- Associations
defs \ mt
defs .c.cc.cpp.h.asm.pas.ini.cfg.txt=.doc=.diz=.bat= tde
defs .c=.cc=.cpp=.h=.asm=.pas= tdv
defs .txt.doc.diz.ini=.cfg= view
defs .lst.dmp less -Sn
defs .pcx.gif.jpg.bmp display --stay


- Remember, a ".." symbol is actually an extensionless association
defm ..
..\
endm

defm da
d a:%*
endm


- Zip file management

defs u	   unzip
defs l	   u -vM
defs ll    u -lM
defs v	   u -caM
defs t	   u -qt
defs vc    u -c
defs .zip  l
defs .zip= ll

defm f
v %1 *.diz %2*
endm

defm r
v %1 %2read* %3*
endm

defm vt
vc %1 *.txt %2*|view
endm

defm vd
vc %1 *.doc %2*|view
endm

defm p
vc %*|less
endm

defm pt
vc %*|tdv
endm

defm pl
vc %2*|tdv -L%1
endm

defm ut
u %* -dtemp
temp\
endm
